FavoritesItem

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class FavoritesItem

    java.lang.Object
      |
      +--javax.help.TreeItem
            |
            +--javax.help.FavoritesItem

All Implemented Interfaces:
  java.io.Serializable, java.awt.datatransfer.Transferable

public class FavoritesItem
extends TreeItem
implements java.awt.datatransfer.Transferable, java.io.Serializable

A class for individual favorites items.

See Also:
  Serialized Form

Field Summary
`static java.awt.datatransfer.DataFlavor` | `FAVORITES_FLAVOR`

Fields inherited from class javax.help.TreeItem
`COLLAPSE, DEFAULT_EXPANSION, EXPAND`

Constructor Summary
`FavoritesItem()` Creates empty item
`FavoritesItem(java.lang.String name)` Creates item with name
`FavoritesItem(java.lang.String name, java.lang.String target, java.lang.String url, java.lang.String title, java.util.Locale locale)` Creates FavoritesItem.

Method Summary
`void` | `add(FavoritesItem item)` Adds FavoritesItem as a child.
`boolean` | `allowsChildren()` Returns wheter item allows children or not
`java.lang.Object` | `clone()`
`boolean` | `emptyInitState()` Returns true if item was initialized as empty
`java.util.Vector` | `getChildren()` Returns children of this FavoritesItem.
`java.lang.String` | `getHelpSetTitle()` Returns the title of HelpSet
`FavoritesItem` | `getParent()` Returns parent of FavoritesItem.
`java.lang.String` | `getTarget()` Returns the id for this item.
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor df)` Returns an object which represents the data to be transferred.
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()` Returns an array of DataFlavor objects indicating the flavors the data can be provided in.
`java.net.URL` | `getURL()` Return the URL for this item
`java.lang.String` | `getURLSpec()` Returns the external representation of url for this item.
`boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor df)` Returns whether or not the specified data flavor is supported for this object.
`boolean` | `isFolder()` Returns whether or not this item is folder.
`boolean` | `isLeaf()` Returns whether or not this item is leaf
`boolean` | `isVisible()`
`void` | `remove(FavoritesItem item)` Removes FavoritesItem from vector of children.
`void` | `setAsFolder()` Sets this item as folder.
`void` | `setParent(FavoritesItem parent)` Sets the parent of this item.
`void` | `setVisible(boolean visible)`
`java.lang.String` | `toString()` Returns a String used when displaying the object.

Methods inherited from class javax.help.TreeItem
`getExpansionType, getHelpSet, getID, getLocale, getMergeType, getName, getPresentation, getPresentationName, setExpansionType, setHelpSet, setID, setMergeType, setName, setPresentation, setPresentationName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FAVORITES_FLAVOR

    public static final java.awt.datatransfer.DataFlavor FAVORITES_FLAVOR

Constructor Detail

### FavoritesItem

    public FavoritesItem(java.lang.String name)

  Creates item with name

Parameters:
  `name` - The name of item

### FavoritesItem

    public FavoritesItem()

  Creates empty item

### FavoritesItem

    public FavoritesItem(java.lang.String name,
                         java.lang.String target,
                         java.lang.String url,
                         java.lang.String title,
                         java.util.Locale locale)

  Creates FavoritesItem.

Parameters:
  `name` - The name of item
  `target` - The target of item
  `url` - The external representation of url
  `title` - The title of the HelpSet
  `locale` - The Locale of this item

Method Detail

### setVisible

    public void setVisible(boolean visible)

### isVisible

    public boolean isVisible()

### getTarget

    public java.lang.String getTarget()

  Returns the id for this item.

### getURLSpec

    public java.lang.String getURLSpec()

  Returns the external representation of url for this item.

### getURL

    public java.net.URL getURL()

  Return the URL for this item

  Overrides:
    `getURL` in class `TreeItem`

### getHelpSetTitle

    public java.lang.String getHelpSetTitle()

  Returns the title of HelpSet

### setAsFolder

    public void setAsFolder()

  Sets this item as folder.

### allowsChildren

    public boolean allowsChildren()

  Returns wheter item allows children or not

### isLeaf

    public boolean isLeaf()

  Returns whether or not this item is leaf

### isFolder

    public boolean isFolder()

  Returns whether or not this item is folder.

### add

    public void add(FavoritesItem item)

  Adds FavoritesItem as a child.

  Parameters:
    `item` - The FavoritesItem.

### emptyInitState

    public boolean emptyInitState()

  Returns true if item was initialized as empty

### remove

    public void remove(FavoritesItem item)

  Removes FavoritesItem from vector of children.

  Parameters:
    `item` - The FavoritesItem to remove.

### getParent

    public FavoritesItem getParent()

  Returns parent of FavoritesItem.

### setParent

    public void setParent(FavoritesItem parent)

  Sets the parent of this item.

  Parameters:
    `parent` - The FavoritesItem.

### getChildren

    public java.util.Vector getChildren()

  Returns children of this FavoritesItem.

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Description copied from class: `TreeItem`
  Returns a String used when displaying the object. Used by CellRenderers.

  Overrides:
    `toString` in class `TreeItem`
  See Also:
    `TOCCellRenderer`

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor df)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Returns an object which represents the data to be transferred.

  Specified by:
    `getTransferData` in interface `java.awt.datatransfer.Transferable`
    `java.awt.datatransfer.UnsupportedFlavorException`
    `java.io.IOException`

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Returns an array of DataFlavor objects indicating the flavors the data can be provided in.

  Specified by:
    `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor df)

  Returns whether or not the specified data flavor is supported for this object.

  Specified by:
    `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD